<!--

function GuElementGet(GuElementA) {
	if (document.getElementById) {
		return document.getElementById(GuElementA);
		}
	else
		if (document.all) {
			return document.all[GuElementA];
			}
		else
			if (document.layers) {
				return document.layers[GuElementA];
				}
	}

function GuElementDataChange(GuElementA,GuElementB,GuElementC,GuElementD,GuElementE,GuElementF,GuElementG,GuElementH,GuElementI,GuElementJ,GuElementK,GuElementL,GuElementM,GuElementN,GuElementO,GuElementP,GuElementQ,GuElementR,GuElementS,GuElementT) {
	if ((GuElementA!=null)&&(GuElementB!=null)) {
		if (GuElementGet(GuElementA)!=null) {
			GuElementGet(GuElementA).innerHTML=GuElementB;
			}
		}
	if ((GuElementC!=null)&&(GuElementD!=null)) {
		if (GuElementGet(GuElementC)!=null) {
			GuElementGet(GuElementC).innerHTML=GuElementD;
			}
		}
	if ((GuElementE!=null)&&(GuElementF!=null)) {
		if (GuElementGet(GuElementE)!=null) {
			GuElementGet(GuElementE).innerHTML=GuElementF;
			}
		}
	if ((GuElementG!=null)&&(GuElementH!=null)) {
		if (GuElementGet(GuElementG)!=null) {
			GuElementGet(GuElementG).innerHTML=GuElementH;
			}
		}
	if ((GuElementI!=null)&&(GuElementJ!=null)) {
		if (GuElementGet(GuElementI)!=null) {
			GuElementGet(GuElementI).innerHTML=GuElementJ;
			}
		}
	if ((GuElementK!=null)&&(GuElementL!=null)) {
		if (GuElementGet(GuElementK)!=null) {
			GuElementGet(GuElementK).innerHTML=GuElementL;
			}
		}
	if ((GuElementM!=null)&&(GuElementN!=null)) {
		if (GuElementGet(GuElementM)!=null) {
			GuElementGet(GuElementM).innerHTML=GuElementN;
			}
		}
	if ((GuElementO!=null)&&(GuElementP!=null)) {
		if (GuElementGet(GuElementO)!=null) {
			GuElementGet(GuElementO).innerHTML=GuElementP;
			}
		}
	if ((GuElementQ!=null)&&(GuElementR!=null)) {
		if (GuElementGet(GuElementQ)!=null) {
			GuElementGet(GuElementQ).innerHTML=GuElementR;
			}
		}
	if ((GuElementS!=null)&&(GuElementT!=null)) {
		if (GuElementGet(GuElementS)!=null) {
			GuElementGet(GuElementS).innerHTML=GuElementT;
			}
		}
	}

function GuElementSelected(GuElementA,GuElementB,GuElementC,GuElementD,GuElementE,GuElementF,GuElementG,GuElementH) {
	if (GuElementA!=null) {
		if (GuElementGet(GuElementB)!=null) {
			GuElementGet(GuElementA).style.fontFamily=GuElementB;
			}
		if (GuElementGet(GuElementC)!=null) {
			GuElementGet(GuElementA).style.fontSize=GuElementC;
			}
		if (GuElementGet(GuElementD)!=null) {
			GuElementGet(GuElementA).style.color=GuElementD;
			}
		if (GuElementGet(GuElementE)!=null) {
			GuElementGet(GuElementE).background=GuElementF;
			}
		if (GuElementGet(GuElementG)!=null) {
			GuElementGet(GuElementG).value=GuElementH;
			}
		}
	}

function GuFormCopy(GuElementA) {
	if (GuElementA!=null) {
		GuElementA.select();
		document.execCommand('Copy');
		}
	}

function GuFormCut(GuElementA) {
	if (GuElementA!=null) {
		GuElementA.select();
		document.execCommand('Cut');
		}
	}

function GuFormPaste(GuElementA) {
	if (GuElementA!=null) {
		GuElementA.focus();
		document.execCommand('Paste');
		}
	}

function GuFormPreview(GuElementA) {
	if (GuElementA!=null) {
		var GuWindow=window.open('','','');
		GuWindow.opener=null;
		GuWindow.document.write(GuElementA.value);
		GuWindow.document.close();
		}
	}

function GuFormSave(GuElementA) {
	if (GuElementA!=null) {
	    var GuWindow=window.open('','','top=100,left=100');
		GuWindow.document.write(GuElementA.value);
	    GuWindow.document.execCommand('SaveAs','','ÊäÈëÎÄ¼þÃû.htm');
		GuWindow.close();
	    }
	}

function GuFormFocus(GuElementA) {
	if (GuElementA!=null) {
		GuElementA.focus();
		}
	}

function GuFormLength(GuElementA,GuElementB,GuElementLength) {
	if (GuElementA.value.length>GuElementLength) {
		GuElementA.value=GuElementA.value.substring(0,GuElementLength);
		}
	else {
		GuElementB.value=GuElementLength-GuElementA.value.length;
		}
	}

function GuFormOperation(GuElementA,GuElementB,GuElementProportion) {
	if (GuElementA.value>=GuElementProportion) {
		GuElementB.value=Math.floor(GuElementA.value/GuElementProportion);
		}
	else {
		GuElementB.value=0;
		}
	}

function GuFormSubmitConfirm(GuFormName,GuMessage,GuFormAction) {
	if (GuFormName!=null) {
		if (confirm(GuMessage)) {
			GuFormName.action=GuFormAction;
			GuFormName.submit();
			}
		}
	}

function GuCookiesCreate(GuCookiesName,GuCookiesValue,GuCookiesExpires,GuCookiesPath,GuCookiesDomain,GuCookiesSecure) {
	if (GuCookiesName!=null) {
		var GuCookiesString=GuCookiesName+"="+escape(GuCookiesValue);
		if (GuCookiesExpires!=null) {
			var GuNewDate=new Date();
			GuNewDate.setTime(GuNewDate.getTime()+GuCookiesExpires*24*60*60*1000);
			GuCookiesString+=";expires="+GuNewDate.toGMTString();
			}
		if (GuCookiesPath!=null) {
			GuCookiesString+=";path="+GuCookiesPath;
			}
		if (GuCookiesDomain!=null) {
			GuCookiesString+=";domain="+GuCookiesDomain;
			}
		if (GuCookiesSecure!=null) {
			GuCookiesString+=";secure="+GuCookiesSecure;
			}
		document.cookie=GuCookiesString;
		}
	}

function GuCookiesDelete(GuCookiesName,GuCookiesPath,GuCookiesDomain) {
	if (GuCookiesName!=null) {
		var GuCookiesString=GuCookiesName+"=;expires="+(new Date(0)).toGMTString();
		if (GuCookiesPath!=null) {
			GuCookiesString+=";path="+GuCookiesPath;
			}
		if (GuCookiesDomain!=null) {
			GuCookiesString+=";domain="+GuCookiesDomain;
			}
		document.cookie=GuCookiesString;
		}
	}

function GuCookiesRead(GuCookiesName) {
	if (GuCookiesName!=null) {
		var GuCookiesString="(?:;)?"+GuCookiesName+"=([^;]*);?";
		var GuCookiesRegExp=new RegExp(GuCookiesString);
		if (GuCookiesRegExp.test(document.cookie)) {
			return unescape(RegExp["$1"]);
			}
		else {
			return null;
			}
		}
	}

function GuCheckboxChecked0(GuElementA,GuElementB,GuElementC,GuElementD,GuElementE,GuElementF) {
	if (GuElementA!=null) {
		GuElementA.checked=false;
		}
	if (GuElementB!=null) {
		GuElementB.checked=false;
		}
	if (GuElementC!=null) {
		GuElementC.checked=false;
		}
	if (GuElementD!=null) {
		GuElementD.checked=false;
		}
	if (GuElementE!=null) {
		GuElementE.checked=false;
		}
	if (GuElementF!=null) {
		GuElementF.checked=false;
		}
	}

function GuCheckboxChecked1(GuElementA,GuElementB,GuElementC,GuElementD,GuElementE,GuElementF) {
	if (GuElementA!=null) {
		GuElementA.checked=true;
		}
	if (GuElementB!=null) {
		GuElementB.checked=false;
		}
	if (GuElementC!=null) {
		GuElementC.checked=false;
		}
	if (GuElementD!=null) {
		GuElementD.checked=false;
		}
	if (GuElementE!=null) {
		GuElementE.checked=false;
		}
	if (GuElementF!=null) {
		GuElementF.checked=false;
		}
	}

function GuCheckboxChecked2(GuElementA,GuElementB,GuElementC,GuElementD,GuElementE,GuElementF,GuElementG,GuElementH,GuElementI,GuElementJ,GuElementK) {
	if (GuElementA!=null) {
		GuElementA.checked=true;
		}
	if (GuElementB!=null) {
		GuElementB.checked=true;
		}
	if (GuElementC!=null) {
		GuElementC.checked=false;
		}
	if (GuElementD!=null) {
		GuElementD.checked=false;
		}
	if (GuElementE!=null) {
		GuElementE.checked=false;
		}
	if (GuElementF!=null) {
		GuElementF.checked=false;
		}
	if (GuElementG!=null) {
		GuElementG.checked=false;
		}
	if (GuElementH!=null) {
		GuElementH.checked=false;
		}
	if (GuElementI!=null) {
		GuElementI.checked=false;
		}
	if (GuElementJ!=null) {
		GuElementJ.checked=false;
		}
	if (GuElementK!=null) {
		GuElementK.checked=false;
		}
	}

function GuCheckboxChecked3(GuElementA,GuElementB,GuElementC,GuElementD,GuElementE,GuElementF,GuElementG,GuElementH,GuElementI,GuElementJ,GuElementK) {
	if (GuElementA!=null) {
		GuElementA.checked=true;
		}
	if (GuElementB!=null) {
		GuElementB.checked=true;
		}
	if (GuElementC!=null) {
		GuElementC.checked=true;
		}
	if (GuElementD!=null) {
		GuElementD.checked=false;
		}
	if (GuElementE!=null) {
		GuElementE.checked=false;
		}
	if (GuElementF!=null) {
		GuElementF.checked=false;
		}
	if (GuElementG!=null) {
		GuElementG.checked=false;
		}
	if (GuElementH!=null) {
		GuElementH.checked=false;
		}
	if (GuElementI!=null) {
		GuElementI.checked=false;
		}
	if (GuElementJ!=null) {
		GuElementJ.checked=false;
		}
	if (GuElementK!=null) {
		GuElementK.checked=false;
		}
	}

function GuCheckboxChecked4(GuElementA,GuElementB,GuElementC,GuElementD,GuElementE,GuElementF,GuElementG,GuElementH,GuElementI,GuElementJ,GuElementK) {
	if (GuElementA!=null) {
		GuElementA.checked=true;
		}
	if (GuElementB!=null) {
		GuElementB.checked=true;
		}
	if (GuElementC!=null) {
		GuElementC.checked=true;
		}
	if (GuElementD!=null) {
		GuElementD.checked=true;
		}
	if (GuElementE!=null) {
		GuElementE.checked=false;
		}
	if (GuElementF!=null) {
		GuElementF.checked=false;
		}
	if (GuElementG!=null) {
		GuElementG.checked=false;
		}
	if (GuElementH!=null) {
		GuElementH.checked=false;
		}
	if (GuElementI!=null) {
		GuElementI.checked=false;
		}
	if (GuElementJ!=null) {
		GuElementJ.checked=false;
		}
	if (GuElementK!=null) {
		GuElementK.checked=false;
		}
	}

function GuCheckboxSelectAll(GuElementA,GuElementB) {
	if (GuElementA!=null) {
		for (var i=0;i<GuElementA.length;i++) {
			GuElementA[i].checked=true;
			}
		}
	if (GuElementB!=null) {
		for (var j=0;j<GuElementB.length;j++) {
			GuElementB[j].checked=true;
			}
		}
	}

function GuCheckboxSelectReverse(GuElementA,GuElementB) {
	if (GuElementA!=null) {
		for (var i=0;i<GuElementA.length;i++) {
			GuElementA[i].checked=!GuElementA[i].checked;
			}
		}
	if (GuElementB!=null) {
		for (var j=0;j<GuElementB.length;j++) {
			GuElementB[j].checked=!GuElementB[j].checked;
			}
		}
	}

function GuCheckboxSelectClear(GuElementA,GuElementB) {
	if (GuElementA!=null) {
		for (var i=0;i<GuElementA.length;i++) {
			GuElementA[i].checked=false;
			}
		}
	if (GuElementB!=null) {
		for (var j=0;j<GuElementB.length;j++) {
			GuElementB[j].checked=false;
			}
		}
	}

function GuLayerShowHidden0(GuElementA,GuElementB,GuElementC,GuElementD,GuElementE,GuElementF) {
	if (GuElementA!=null) {
		if (GuElementA.style.display=="none") {
			GuElementA.style.display="";
			if (GuElementB!=null) {
				GuElementB.style.display="none";
				}
			if (GuElementC!=null) {
				GuElementC.style.display="none";
				}
			if (GuElementD!=null) {
				GuElementD.style.display="none";
				}
			if (GuElementE!=null) {
				GuElementE.style.display="none";
				}
			if (GuElementF!=null) {
				GuElementF.style.display="none";
				}
			}
		else {
			GuElementA.style.display="none";
			if (GuElementB!=null) {
				GuElementB.style.display="none";
				}
			if (GuElementC!=null) {
				GuElementC.style.display="none";
				}
			if (GuElementD!=null) {
				GuElementD.style.display="none";
				}
			if (GuElementE!=null) {
				GuElementE.style.display="none";
				}
			if (GuElementF!=null) {
				GuElementF.style.display="none";
				}
			}
		}
	}

function GuLayerShowHidden1(GuElementA,GuElementB,GuElementC,GuElementD,GuElementE,GuElementF,GuElementG) {
	if ((GuElementA!=null)&&(GuElementB!=null)) {
		if (GuElementA.style.display=="") {
			GuElementA.style.display="none";
			GuElementB.style.display="";
			if (GuElementE!=null) {
				GuElementE.innerText=GuElementF;
				}
			}
		else {
			GuElementA.style.display="";
			GuElementB.style.display="none";
			if (GuElementC!=null) {
				GuElementC.value=GuElementD.value;
				}
			if (GuElementE!=null) {
				GuElementE.innerText=GuElementG;
				}
			}
		}
	}

function GuFormFamilyChange(GuElementA,GuElementB) {
	if ((GuElementA!=null)&&(GuElementB!=null)) {
		GuElementA.style.fontFamily=GuElementB.value;
		}
	}

function GuFormSizeChange(GuElementA,GuElementB) {
	if ((GuElementA!=null)&&(GuElementB!=null)) {
		GuElementA.style.fontSize=GuElementB.value;
		}
	}

function GuFormColorChange(GuElementA,GuElementB) {
	if ((GuElementA!=null)&&(GuElementB!=null)) {
		GuElementA.style.color=GuElementB.value;
		}
	}

function GuTextFamilyChange(GuElementA,GuFamily) {
	if (GuElementGet(GuElementA)!=null) {
		GuElementGet(GuElementA).style.fontFamily=GuFamily;
		}
	}

function GuTextSizeChange(GuElementA,GuSize) {
	if (GuElementGet(GuElementA)!=null) {
		GuElementGet(GuElementA).style.fontSize=GuSize;
		}
	}

function GuTextColorChange(GuElementA,GuColor) {
	if (GuElementGet(GuElementA)!=null) {
		GuElementGet(GuElementA).style.color=GuColor;
		}
	}

function GuHTML2JavaScript(GuElementA) {
	if (GuElementA!=null) {
		GuElementA.value="document.write(\""+GuElementA.value.replace(/\\/g,"\\\\").replace(/\//g,"\\/").replace(/\'/g,"\\\'").replace(/\"/g,"\\\"").split('\r\n').join("\");\ndocument.write(\"")+"\");";
		}
	}

function GuJavaScript2HTML(GuElementA) {
	if (GuElementA!=null) {
		GuElementA.value=GuElementA.value.replace(/document.write\("/g,"").replace(/"\);/g,"").replace(/\\\"/g,"\"").replace(/\\\'/g,"\'").replace(/\\\//g,"\/").replace(/\\\\/g,"\\");
		}
	}

//-->